## ros-humble-lgsvl-msgs 0.0.4

=== CMakeLists.txt ===
project(lgsvl_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "BoundingBox2D.msg"
  "BoundingBox3D.msg"
  "CanBusData.msg"
  "DetectedRadarObjectArray.msg"
  "DetectedRadarObject.msg"
  "Detection2D.msg"
  "Detection2DArray.msg"
  "Detection3D.msg"
  "Detection3DArray.msg"
  "Signal.msg"
  "SignalArray.msg"
  "Ultrasonic.msg"
  "VehicleControlData.msg"
  "VehicleStateData.msg"
  "VehicleOdometry.msg"
)

if(${ROS_VERSION} EQUAL 1)
  cmake_minimum_required(VERSION 2.8.3)

  find_package(catkin REQUIRED COMPONENTS
    geometry_msgs
    message_generation
    sensor_msgs
    std_msgs
  )

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  add_message_files(
    DIRECTORY msg
    FILES ${MSG_FILES}
  )

  generate_messages(
    DEPENDENCIES
    geometry_msgs
    sensor_msgs
    std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS
    message_runtime
    geometry_msgs
    sensor_msgs
    std_msgs
  )
elseif(${ROS_VERSION} EQUAL 2)
  cmake_minimum_required(VERSION 3.5)

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(sensor_msgs REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Default to C++14
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES
      builtin_interfaces
      geometry_msgs
      sensor_msgs
      std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()
endif()

=== debian/changelog ===
ros-humble-lgsvl-msgs (0.0.4-3bookworm) bookworm; urgency=high

  * Add VehicleOdometry.msg to README
  * Adding VehicleOdometry.
  * Update README and LICENSE
  * Update package description and maintainers
  * Add ultrasonic message.
  * Contributors: Guodong Rong, Hadi Tabatabaee, Piotr Jaroszek

 -- Hadi Tabatabaee <hadi.tabatabaee@lge.com>  Tue, 20 Oct 2020 16:00:00 -0000

ros-humble-lgsvl-msgs (0.0.3-3bookworm) bookworm; urgency=high

  * Update readme and license
  * Changing some Vector3's to Points where they make more sense.
  * Renaming CanBus to CanBusData.
  * Adding VehicleStateData.
  * Adding VehicleControlData.
  * Adding CanBus and DetectedRadarObject/Array.
  * Making package hybrid ROS1/ROS2 package.
  * Contributors: Hadi Tabatabaee, Joshua Whitley

 -- Hadi Tabatabaee <hadi.tabatabaee@lge.com>  Thu, 28 May 2020 16:00:00 -0000

ros-humble-lgsvl-msgs (0.0.2-3bookworm) bookworm; urgency=high

  * Include signal messages in README
  * add messages for ground truth signals
  * updated license
  * Contributors: David Uhm

 -- Hadi Tabatabaee <hadi.tabatabaee@lge.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-humble-lgsvl-msgs (0.0.1-3bookworm) bookworm; urgency=high

  * add changelog
  * update initial version number
  * add license
  * add Ros package for ground truth messages
  * initial commit
  * Contributors: David Uhm

 -- Hadi Tabatabaee <hadi.tabatabaee@lge.com>  Mon, 17 Dec 2018 16:00:00 -0000

=== debian/control ===
Source: ros-humble-lgsvl-msgs
Section: misc
Priority: optional
Maintainer: Hadi Tabatabaee <hadi.tabatabaee@lge.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-ros-environment, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-lgsvl-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Message definitions for interfacing with the LGSVL Simulator for ROS and ROS 2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-lgsvl-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-lgsvl-msgs//opt/ros/humble/opt/lgsvl_msgs/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
